%define name smeserver-gitweb
%define version 1.1.0
%define release 11
Summary: GitWeb is a web based Git repository viewer on SME Server
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Distribution: SME Server
License: GNU GPL version 2
URL: http://www.through-ip.com
Group: SMEserver/addon
Source: smeserver-gitweb-%{version}.tar.gz
Packager: Marco Hess <marco.hess@through-ip.com>
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 9.0
Requires: smeserver-git
Requires: gitweb
Requires: highlight
AutoReqProv: no
Patch1: smeserver-gitweb-1.1.0-remove_unused_linefeed_from_auth_error.patch
Patch2: smeserver-gitweb-1.1.0-remove_runtime_access_to_networks_db.patch
Patch3: smeserver-gitweb-1.1.0-runtime_search_for_pwauth.patch
Patch4: smeserver-gitweb-1.1.0-defineURI.patch
Patch5: smeserver-gitweb-1.1.0-fix_remote_auth.patch
Patch6: smeserver-gitweb-1.1.0-fix_group_check.patch
Patch7: smeserver-gitweb-1.1.0-checktrusted_networks.patch
Patch8: smeserver-git-1.1.0-locale-2016-06-22.patch

%description
HTTP access to https://git.host.com provides a gitweb view of the repositories.

%changelog
* Fri Jun 24 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-11.sme
- removed  one missed linefeed

* Wed Jun 22 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-8.sme
- smeserver-git-1.1.0-locale-2016-06-22.patch

* Wed Jun 22 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-7.sme
- fix 500 error after auth on remote access  [SME: 9614]
- check all trusted networks [SME: 9578] 
- fix git db readable by everybody [SME: 9615] 

* Sat Jun 11 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-6.sme
- fix auth from remote IP [SME: 9202]

* Fri Jun 10 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-5.sme
- fix short url to repo not working  [SME: 9202]

* Thu Feb 18 2016 Marco Hess <marco.hess@through-ip.com> 1.1.0-4
- Removed chmod 644 /home/e-smith/db/networks from spec file as 
  it is no longer required for gitweb.conf

* Wed Feb 17 2016 Marco Hess <marco.hess@through-ip.com> 1.1.0-3
- Changed the trypass function in 60ExportAuthHook to dynamically
  check for the location of pwauth so this becomes universal for
  SME8 and SME9.

* Wed Feb 17 2016 Marco Hess <marco.hess@through-ip.com> 1.1.0-2
- Remove runtime access to NetworkDB [SME: 9217]
- Some trailing whitespace cleanup

* Thu Feb 11 2016 Marco Hess <marco.hess@through-ip.com> 1.1.0-1
- Remove unused line feeds from auth_error messages [SME: 9217]

* Fri Jan 30 2015 Marco Hess <marco.hess@through-ip.com> 1.1.0-0
- Split spec package to version 1.1 for SME9
- Fixed user authorisation for repositories viewable from internet

* Fri Jan 24 2014 Marco Hess <marco.hess@through-ip.com> 1.0.0-12
- Added support for displaying a clone URL.

* Mon Jul 23 2012 Marco Hess <marco.hess@through-ip.com> 1.0.0-3
- Setup default config parameters for gitweb as a service
- Removed HTTP template as this is shared with smeserver-git
- Added require on gitweb rpm

* Sun Jun 17 2012 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-2
- Remove all smeserver-git related files in order to split the packages

* Sun Apr 29 2012 Marco Hess <marco.hess@through-ip.com> 1.0.0-1
- initial release

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1


%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "Ensuring git database is accessible to GitWeb ..."
touch /home/e-smith/db/git
chmod 644 /home/e-smith/db/git
echo "Expanding gitweb.conf template ..."
/sbin/e-smith/expand-template /etc/gitweb.conf
echo "Expanding GitWeb home page text template ..."
/sbin/e-smith/expand-template /etc/e-smith/web/common/gitweb/home_text.html
echo "Expanding web server template ..."
/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
/etc/rc7.d/S86httpd-e-smith sighup

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
